package com.steerinfo.ems.trmenergy.service;

import com.steerinfo.ems.trmenergy.model.TRmEnergy;
import com.steerinfo.framework.service.IBaseService;

import java.util.List;
import java.util.Map;

/**
 * TRmEnergy服务接口：
 * @author 王金涛
 * @version 1.0-SNAPSHORT 2019-10-11
 * 类描述
 * 修订历史：
 * 日期：2019-10-11
 * 作者：王金涛
 * 参考：
 * 描述：TRmEnergy服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITRmEnergyService extends IBaseService<TRmEnergy, String>{
    List<TRmEnergy> getParent();
    /**
     * 查询name and id
     * @return tRmEnergy
     */
    List<TRmEnergy> selectNameAndId(Map<String, Object> parameters);

    String getMaxId(TRmEnergy model);

    Short getMaxSeqno();
}